View Issue Details

IDProjectCategoryView StatusLast Update
0001492SymmetricDSBugpublic2014-02-02 20:53
ReporterchensonAssigned Tochenson 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.5.11 
Target Version3.5.12Fixed in Version3.5.12 
Summary0001492: Staging manager bases purging of staging files based on create time of the resource, not the last modified time of the file.
DescriptionStaging manager bases purging of staging files based on create time of the resource, not the last modified time of the file. If an extract takes an hour (the default ttl time for staging) to extract, then it will be purged almost immediately instead of waiting another hour.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master 4507a053

2013-12-17 16:32:57

chenson

Details Diff
0001492: Staging manager bases purging of staging files based on create time of the resource, not the last modified time of the file.
0001492
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/stage/IStagedResource.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/stage/StagedResource.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/stage/StagingManager.java Diff File

SymmetricDS: master 21448092

2013-12-17 18:23:58

chenson

Details Diff
0001492: refresh last update time of multi batch extract so the files don't get purged before the extract can complete.
0001492
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataExtractorService.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/stage/IStagedResource.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/stage/StagedResource.java Diff File

Issue History

Date Modified Username Field Change
2013-12-17 16:31 chenson New Issue
2013-12-17 16:31 chenson Status new => assigned
2013-12-17 16:31 chenson Assigned To => chenson
2013-12-17 16:33 chenson Status assigned => resolved
2013-12-17 16:33 chenson Fixed in Version => 3.5.12
2013-12-17 16:33 chenson Resolution open => fixed
2013-12-18 10:55 chenson Status resolved => closed
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r7803
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r7804
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 21448092
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 4507a053